---
title: "Set Group Description"
slug: "set-group-description"
updated: 2026-06-08T12:46:40Z
published: 2026-06-08T12:46:40Z
stale: true
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Set Group Description

Post/api/v1/groups.setDescription

Set the description for the private channel. Permission required: `edit-room`

### Changelog

| Version | Description |
| --- | --- |
| 0.48.0 | Added |

Header parametersX-Auth-TokenstringRequired

The `authToken` of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired

The `userId` of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ

Body parameters<select class='api-response-data' aria-label='Media type'><option value='2e946f89-d374-4899-8692-dac036bcffc3'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='c613c026-d444-4263-a63b-99d7b797a690'>Example</option>
</select>Example

```json
{
  "roomId": "ByehQjC44FwMeiLbX",
  "description": "Test out everything"
}
```

object  roomIdstring    Required

The private group ID. You can find the IDs by using any of the following endpoints:

- [Get List of User Groups](https://developer.rocket.chat/apidocs/get-list-of-user-groups): This endpoint returns all private channels in the workspace, if you have the required permissions to view them.
- [Get Groups](https://developer.rocket.chat/apidocs/get-groups): This endpoint returns the private channels that you are a member of.

ExampleByehQjC44FwMeiLbX
descriptionstring    Required

Enter a description for the private channel.

ExampleTest description

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='6bffe987-86e8-44eb-9311-48eb3db7690e'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='1611ca6e-c8fd-4c60-b6aa-74f205b61b9c'>Success</option>
</select>Success

```json
{
  "description": "Testing out everything.",
  "success": true
}
```

object  descriptionstring    
successboolean    

400

Bad Request

<select class='api-response-data' aria-label='Media type'><option value='a095c90e-4a89-47f4-b804-246f2da0eb6c'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='b73e5867-75d4-42fd-b3b3-1afdc6187bbe'>Example 1</option>
<option value='ba013800-50ad-428b-9665-d4987b6791a3'>Example 2</option>
</select>Example 1

```json
{
  "success": false,
  "error": "The bodyParam \"description\" is required"
}
```

Example 2

```json
{
  "success": false,
  "error": "The parameter \"roomId\" or \"roomName\" is required [error-room-param-not-provided]",
  "errorType": "error-room-param-not-provided"
}
```

object  successboolean    
errorstring    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='63fe356b-9e3e-4364-8c1c-991b2677c63f'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='a510931f-3cb2-4170-88fa-65a8b1b29d68'>Authorization Error</option>
</select>Authorization Error

```json
{
  "status": "error",
  "message": "You must be logged in to do this."
}
```

object  statusstring    
messagestring
